Subject: bug#51199: closed (Re: bug#51199: describe-key on a toolbar item throws an error)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 15 Oct 2021 06:54:02 +0000

Your bug report

#51199: describe-key on a toolbar item throws an error

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
51199: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=51199
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#51199: describe-key on a toolbar item throws an error
From: Eli Zaretskii <[email-masked]>
To: Po Lu <[email-masked]>
Cc: [email-masked]
Date: Fri, 15 Oct 2021 09:53:37 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Po Lu <[email-masked]>
> Cc: [email-masked]
> Date: Fri, 15 Oct 2021 09:57:46 +0800
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > That's something Stefan said in another bug report:
> > mouse-minibuffer-check assumes too much about posn-window.
> >
> > Should be fixed now on the emacs-28 branch.
> 
> Thanks, it works now.

Thanks, closing.

Subject: describe-key on a toolbar item throws an error
From: Po Lu <[email-masked]>
To: [email-masked]
Date: Thu, 14 Oct 2021 16:08:29 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

In master and the latest emacs-28, I get:
mouse-minibuffer-check: Wrong type argument: window-valid-p, #<frame *Backtrace* - GNU Emacs at shredder 0x11509a60f7e8>
When I press C-h k and then click a button on the toolbar.  (This won't
be reproducible if you have toolkit tool bars).

This used to work in Emacs 27, and is very useful when I want to check
what a button on the toolbar does.  It would be appreciated if someone
looked into this.  Thanks.